<?php
//file_put_contents('log.txt', 'Arquivo get_filiais.php acessado.' . PHP_EOL, FILE_APPEND);
header('Content-Type: application/json');
require '../conexao/conexao.php';

if (isset($_REQUEST['cidade'])) {

    $cidade = $_REQUEST['cidade']; // Use $_REQUEST para aceitar tanto GET quanto POST

    // Use prepared statement para evitar injeção SQL
    $query = "SELECT cdfil, DESCRFIL FROM FC01000 WHERE MUNIC = ? and cdfil IN (SELECT cdfil FROM fc15100 )";

    $stmt = ibase_prepare($connection, $query);
    $result = ibase_execute($stmt, $cidade);

    if ($result === false) {
        file_put_contents('log.txt', 'Erro na execução: ' . ibase_errmsg() . PHP_EOL, FILE_APPEND);
    }

    $filiaisOrigem = [];
    while ($row = ibase_fetch_assoc($result)) {
        $row['DESCRFIL'] = utf8_encode($row['DESCRFIL']);
        $filiaisOrigem[] = $row;
    }

    //print_r($filiais);

    echo json_encode($filiaisOrigem);

} else {
  //  echo json_encode(['error' => 'Cidade não fornecida.']);
   // file_put_contents('log.txt', 'Erro: Cidade não fornecida.' . PHP_EOL, FILE_APPEND);
}

?>
